Subject: Re: [Intel-wired-lan] [PATCH iwl-next v2 3/6] ice: add Tx hang devlink health reporter

From: Mateusz Polchlopek <[email-masked]>
Date: Tue, 30 Jul 2024 11:33:34 +0200

On 7/22/2024 11:23 AM, Mateusz Polchlopek wrote:
> 
> 
> On 7/14/2024 4:23 PM, Jakub Kicinski wrote:
>> On Fri, 12 Jul 2024 05:32:48 -0400 Mateusz Polchlopek wrote:
>>> +    err = devlink_health_report(reporter, msg, priv_ctx);
>>> +    if (err) {
>>> +        struct ice_pf *pf = devlink_health_reporter_priv(reporter);
>>> +
>>> +        dev_err(ice_pf_to_dev(pf),
>>> +            "failed to report %s via devlink health, err %d\n",
>>> +            msg, err);
>>
>> My knee-jerk reaction is - why not put it in devlink_health_report()?
>> Also, I'd rate limit the message.
> 
> Hmmm... That's good point. I will talk to the author about that but
> seems to be good point Jakub.
> 

I took a look into the code and it seems that we do not do auto
recovering, so also ignoring return value which always will be 0.

I will remove this error checking in v3 version.